/*******************************************************************************************************************/
/**                                                                                                               **/
/** Microchange static CSS                                                                                        **/
/**                                                                                                               **/
/*******************************************************************************************************************/

/*******************************************************************************************************************/
/** CSS Variables (for themes etc.)                                                                               **/
/*******************************************************************************************************************/

:root, :root[ipr_theme=light] {
	/* Master */
	--iprotus-master-color: rgb(0, 0, 0);
	--iprotus-master-background-color: rgb(222, 222, 244);
	--iprotus-master-a-color: rgb(128, 0, 0);
	--iprotus-master-a-color-hover: rgb(199, 13, 13);
	--iprotus-master-button-color: rgb(233, 233, 255);
	--iprotus-master-button-background-color: rgb(68, 119, 174);
	--iprotus-master-button-color-hover: rgb(255, 255, 255);
	--iprotus-master-button-background-color-hover: rgb(128, 0, 0);

	/* Header and Footer */
	--iprotus-header-color: rgb(255, 255, 255);
	--iprotus-header-background-color: rgb(68, 119, 174);
	--iprotus-header-color-disabled: rgb(211, 211, 211);
	--iprotus-header-background-color-disabled: rgb(92, 139, 191);
	--iprotus-header-link-color: rgb(255, 255, 128);
	--iprotus-header-link-background-color: transparent;
	--iprotus-header-link-color-hover: rgb(255, 255, 255);
	--iprotus-header-link-background-color-hover: rgb(128, 0, 0);

	/* Pages and content */
	--iprotus-home-splash-background-color: rgb(92, 139, 191);
	--iprotus-home-splash-background-image: url(/Graphics/Backgrounds/Hexagons-2031x2400.png);
	--iprotus-home-splash-bottom-color: rgb(51, 89, 131);
	--iprotus-home-splash-imglogo-filter: brightness(100%);

	/* Specific controls and features */
	--iprotus-glassyframe-border-color: rgba(255, 255, 255, 0.3);
	--iprotus-glassyframe-background-color: rgba(255, 255, 255, 0.15);
	--iprotus-codeframe-border-color: rgb(0, 0, 177);
	--iprotus-codeframe-background-color: rgb(177, 177, 211);
	--iprotus-codeframe-color: rgb(0, 0, 177);
	--iprotus-codeframe-color-highlight: rgb(0, 0, 255);

	/* Specific controls and features from iprotus.Razor */
	--iprtooltip-color: rgb(0, 0, 0);
	--iprtooltip-background-color: rgb(255, 255, 255);
}
:root[ipr_theme=dark] {
	/* Master */
	--iprotus-master-color: rgb(155, 155, 155);
	--iprotus-master-background-color: rgb(11, 11, 11);
	--iprotus-master-a-color: rgb(177, 177, 99);
	--iprotus-master-a-color-hover: rgb(233, 233, 199);
	--iprotus-master-button-color: rgb(155, 155, 155);
	--iprotus-master-button-background-color: rgb(88, 33, 33);
	--iprotus-master-button-color-hover: rgb(233, 233, 233);
	--iprotus-master-button-background-color-hover: rgb(128, 0, 0);
	--iprotus-master-imglogo-filter: brightness(75%);

	/* Header and Footer */
	--iprotus-header-color: rgb(155, 155, 155);
	--iprotus-header-background-color: rgb(33, 33, 33);
	--iprotus-header-color-disabled: rgb(111, 111, 111);
	--iprotus-header-background-color-disabled: rgb(11, 11, 11);
	--iprotus-header-link-color: rgb(177, 177, 99);
	--iprotus-header-link-background-color: transparent;
	--iprotus-header-link-color-hover: rgb(233, 233, 233);
	--iprotus-header-link-background-color-hover: rgb(128, 0, 0);

	/* Pages and content */
	--iprotus-home-splash-background-color: rgb(11, 11, 11);
	--iprotus-home-splash-background-image: url(/Graphics/Backgrounds/Hexagons-2031x2400.png);
	--iprotus-home-splash-bottom-color: rgb(88, 33, 33);
	--iprotus-home-splash-imglogo-filter: brightness(75%);

	/* Specific controls and features */
	--iprotus-glassyframe-border-color: rgba(99, 99, 99, 0.5);
	--iprotus-glassyframe-background-color: rgba(88, 88, 88, 0.25);
	--iprotus-codeframe-border-color: rgb(89, 89, 89);
	--iprotus-codeframe-background-color: rgb(0, 0, 0);
	--iprotus-codeframe-color: rgb(155, 155, 155);
	--iprotus-codeframe-color-highlight: rgb(177, 177, 99);

	/* Specific controls and features from iprotus.Razor */
	--iprtooltip-color: rgb(0, 0, 0);
	--iprtooltip-background-color: rgb(155, 155, 155);
}

/*******************************************************************************************************************/
/** Media queries, basic. Each component CSS may have specifics.                                                  **/
/*******************************************************************************************************************/

/* Above: Default size 16px */
@media (max-width: 1200px) {
  html { font-size: 15px; }
}
@media (max-width: 992px) {
  html { font-size: 14px; }
}
@media (max-width: 768px) {
  html { font-size: 13px; }
}
@media (max-width: 576px) {
  html { font-size: 12px; }
}

/*******************************************************************************************************************/
/** CSS additional reset (apart from what was done by iprotus.Razor in iprrazor.reset.css.                        **/
/*******************************************************************************************************************/

html, body {
	font-family: Verdana, Arial, Helvetica, sans-serif;
}
body {
	cursor: default;
}
h1 {
	font-size: 2.5rem;
	font-weight: bold;
}
h2 {
	font-size: 2rem;
	font-weight: bold;
}
h3 {
	font-size: 1.5rem;
	font-weight: bold;
}
h4 {
	font-size: 1.25rem;
	font-weight: bold;
}
h5 {
	font-size: 1.125rem;
	font-weight: bold;
}
a {
	cursor: pointer;
	text-decoration: none;
	color: var(--iprotus-master-a-color);
	transition: color 0.5s ease;
}
a:hover {
	color: var(--iprotus-master-a-color-hover);
}
/*ul {
	padding: 0;
	text-align: left;
	list-style: none;
}
ul li {
	background-image: url(/Graphics/Icons/iprotusBrain-32x32.png);
	background-repeat: no-repeat;
	background-size: 0.75rem;
	background-position-y: 0.25rem;
	margin: 0.25rem 0 0.25rem 0.75rem;
	padding: 0 0 0 1.25rem;
}*/

/*******************************************************************************************************************/
/** Common general purpose static CSS                                                                             **/
/*******************************************************************************************************************/

.iprotus-monospace {
	font-family: monospace;
	font-size: 1.1rem;
}
.iprotus-layer-base {
	z-index: 10;
}
.iprotus-layer-header {
	z-index: 20;
}
.iprotus-layer-dialog {
	z-index: 30;
}
.iprotus-layer-popup {
	z-index: 40;
}
.iprotus-layer-error {
	z-index: 100;
}
.iprotus-superscript {
	vertical-align: super;
	font-size: 0.75em;
}
.iprotus-subscript {
	vertical-align: sub;
	font-size: 0.75em;
}
.iprotus-nooverscroll {
	overflow: auto;
	overscroll-behavior: none;
}
.iprotus-nooverscroll-x {
	overflow-x: auto;
	overscroll-behavior: none;
}
.iprotus-nooverscroll-y {
	overflow-y: auto;
	overscroll-behavior: none;
}
.iprotus-no-select {
	user-select: none !important;
}
.iprotus-no-display {
	display: none !important;
}

/*******************************************************************************************************************/
/** Common specific purpose static CSS                                                                            **/
/*******************************************************************************************************************/

.iprotus-glassyframe {
	border: 1px solid var(--iprotus-glassyframe-border-color);
	border-radius: 0.5rem;
	background: var(--iprotus-glassyframe-background-color);
	backdrop-filter: blur(5px);
	-webkit-backdrop-filter: blur(5px);
}

/*******************************************************************************************************************/

.iprotus-codeframe {
	border: 1px solid var(--iprotus-codeframe-border-color);
	background: var(--iprotus-codeframe-background-color);
	color: var(--iprotus-codeframe-color);
	backdrop-filter: blur(5px);
	-webkit-backdrop-filter: blur(5px);
}
.iprotus-codeframe-highlight {
	color: var(--iprotus-codeframe-color-highlight);
}

/*******************************************************************************************************************/

.iprotus-home-splash.container {
	background-color: var(--iprotus-home-splash-background-color);
	background-image: var(--iprotus-home-splash-background-image);
	background-repeat: no-repeat;
	background-attachment: scroll;
	background-position: right top;
	background-size: cover;
	overflow: hidden;
	filter: var(--iprotus-home-splash-imglogo-filter);
}
.iprotus-home-splash.bottom {
	padding: 0.5rem 1rem;
	color: var(--iprotus-home-splash-bottom-color);
	font-style: italic;
}

/*******************************************************************************************************************/

.iprotus-button {
	display: inline-block;
	margin: 1rem;
	border-radius: 0.4rem;
	padding: 0.5rem 1.5rem;
	min-width: 8rem;
	text-align: center;
	color: var(--iprotus-master-button-color);
	background-color: var(--iprotus-master-button-background-color);
	cursor: pointer;
	font-weight: bold;
	transition: color ease 0.5s, background-color ease 0.5s;
}
.iprotus-button:hover {
	color: var(--iprotus-master-button-color-hover);
	background-color: var(--iprotus-master-button-background-color-hover);
}

/*******************************************************************************************************************/

.iprotus-toggleswitch.container {
	display: flex;
	justify-content: center;	/* horizontal */
	align-items: center;		/* vertical */
	align-content: center;
}
.iprotus-toggleswitch.container.disabled {
	filter: brightness(50%);
	cursor: default;
}
.iprotus-toggleswitch.track {
	position: relative;
	display: flex;
	align-items: center;		/* vertical */
	width: 3em;
	height: 1.5em;
	overflow: hidden;
	background-image: url(_content/iprotus.Razor/IprSetupGraphics/Track-240x120.png);
	background-attachment: scroll;
	background-repeat: no-repeat;
	background-size: cover;
}
.iprotus-toggleswitch.thumb {
	position: absolute;
	top: 0.25em;
	left: 0.25em;
	width: 1em;
	height: 1em;
	overflow: hidden;
	background-image: url(_content/iprotus.Razor/IprSetupGraphics/Thumb-80x80.png);
	background-attachment: scroll;
	background-repeat: no-repeat;
	background-size: contain;
	transition: transform 0.5s ease;
}
.iprotus-toggleswitch.thumb.on {
	transform: translateX(1.5em);
}

/*******************************************************************************************************************/

.iprotus-park-obflink.container {
	display: inline-block;
	margin-top: 0.15rem;
	border-radius: 0.4rem;
	padding: 0.1rem 0.5rem 0.25rem 0.5rem;
	color: var(--iprotus-header-link-color);
	background-color: var(--iprotus-header-link-background-color);
	cursor: pointer;
	transition: color ease 0.5s, background-color ease 0.5s;
}
.iprotus-park-obflink.container:hover {
	color: var(--iprotus-header-link-color-hover);
	background-color: var(--iprotus-header-link-background-color-hover);
}

/*******************************************************************************************************************/
/** Misc                                                                                                          **/
/*******************************************************************************************************************/

/* For debugging CSS:
body div {
	border: 1px solid red;
}*/
.redborderdiv, .redborderdivs {
	border: 1px solid red;
}
.redborderdivs div {
	border: 1px solid red;
}

/*******************************************************************************************************************/
/** Orininal CSS from templated project creation (empty Blazor Web App project).                                  **/
/*******************************************************************************************************************/

h1:focus {
	outline: none;
}
.valid.modified:not([type=checkbox]) {
	outline: 1px solid #26b050;
}
.invalid {
	outline: 1px solid #e50000;
}

.validation-message {
	color: #e50000;
}
.blazor-error-boundary {
	background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
	padding: 1rem 1rem 1rem 3.7rem;
	color: white;
}
.blazor-error-boundary::after {
	content: "An error has occurred."
}
.darker-border-checkbox.form-check-input {
	border-color: #929292;
}
.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
	color: var(--bs-secondary-color);
	text-align: end;
}
.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
	text-align: start;
}
